# Deployment options for Snyk Code

You can deploy Snyk Code in several ways:

* A full SaaS solution - get the most out of Snyk Code with a native SCM integration, easy onboarding, and continuous updates.\
  See [Getting started with Snyk Code](getting-started-with-snyk-code/).
* SaaS with a self-hosted Git server (requires Snyk Broker) - for customers with SCMs that are not publicly accessible from the internet and want to connect Snyk Code with their local self-hosted SCM.\
  See [Snyk Broker - Code Agent](../../enterprise-setup/snyk-broker/snyk-broker-code-agent/).
* Local no-upload implementation (requires Snyk Code Local Engine) - for customers with a more strict upload policy. This deployment method requires more maintenance and receives slower updates than the SaaS options, but it does not require any code upload.\
  See [Snyk Code Local Engine](../../scan-applications/snyk-code/snyk-code-local-engine.md).
